;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

(setq doom-theme 'gruvbox-dark-soft)

;; Set to 2 spaces
(setq default-tab-width 2)
(setq tab-width 2)
(setq web-mode-markup-indent-offset 2)
(setq web-mode-css-indent-offset 2)
(setq web-mode-code-indent-offset 2)
(setq js2-mode-hook
      '(lambda () (progn
                    (set-variable 'js2-basic-offset 2))))
(setq css-mode-hook
      '(lambda () (progn
                    (set-variable 'css-indent-offset 2))))
(setq typescript-mode-hook
      '(lambda () (progn
                    (set-variable 'typescript-indent-level 2))))

;; Maximize the window upon startup
(add-to-list 'default-frame-alist '(fullscreen . maximized))

(setq doom-font (font-spec :family "Cozette" :size 11))

(when (memq window-system '(mac ns x))
  (exec-path-from-shell-initialize))

;; Make Monky communicate via cmdserver
(setq monky-process-type 'cmdserver)

;; Map SPC-g-h to monky-status
(map! :map magit-mode-map :leader "g h" 'monky-status)

;; Enable Mercurial support for git-gutter
(setq git-gutter:handled-backends '(git hg))

;; Set Org directory
(setq org-directory "~/Org")

;; Enable editorconfig
(editorconfig-mode 1)
